#!/bin/bash

RecPath=./10_camera_recording
DataPath=./TestData
DecPath=./00_video_decode


#-------------------------------------#
# Make a Multi-resolution Stream Data
#-------------------------------------#

echo "Start H.264 recoding"
read key

$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.01
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.02
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.03
$RecPath/camera_recording -d 5 -r 1920x1080 -t H264 -f $DataPath/out.h264.04
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.05
$RecPath/camera_recording -d 4 -r 1920x1080 -t H264 -f $DataPath/out.h264.06
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.07
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.08
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.09
$RecPath/camera_recording -d 3 -r 1024x576  -t H264 -f $DataPath/out.h264.10
$RecPath/camera_recording -d 3 -r  720x405  -t H264 -f $DataPath/out.h264.11
$RecPath/camera_recording -d 3 -r  640x360  -t H264 -f $DataPath/out.h264.12
$RecPath/camera_recording -d 3 -r  320x180  -t H264 -f $DataPath/out.h264.13
$RecPath/camera_recording -d 3 -r  640x360  -t H264 -f $DataPath/out.h264.14
$RecPath/camera_recording -d 3 -r 1024x576  -t H264 -f $DataPath/out.h264.15
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.16
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.17
$RecPath/camera_recording -d 3 -r 1024x576  -t H264 -f $DataPath/out.h264.18
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.19
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.20
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.21
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.22
$RecPath/camera_recording -d 5 -r 1920x1080 -t H264 -f $DataPath/out.h264.23
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.24
$RecPath/camera_recording -d 5 -r  640x360  -t H264 -f $DataPath/out.h264.25
$RecPath/camera_recording -d 5 -r  320x180  -t H264 -f $DataPath/out.h264.26
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.27
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.28
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.29
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.30
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.31
$RecPath/camera_recording -d 5 -r 1280x720  -t H264 -f $DataPath/out.h264.32
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.33
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.34
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.35
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.36
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.37
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.38
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.39
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.40
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.41
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.42
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.43
$RecPath/camera_recording -d 5 -r  640x360  -t H264 -f $DataPath/out.h264.44
$RecPath/camera_recording -d 3 -r 1280x720  -t H264 -f $DataPath/out.h264.45
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.46
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.47
$RecPath/camera_recording -d 5 -r 1280x720  -t H264 -f $DataPath/out.h264.48
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.49
$RecPath/camera_recording -d 5 -r 3840x2160 -t H264 -f $DataPath/out.h264.50
$RecPath/camera_recording -d 2 -r 1280x720  -t H264 -f $DataPath/out.h264.51
$RecPath/camera_recording -d 2 -r 1920x1080 -t H264 -f $DataPath/out.h264.52
$RecPath/camera_recording -d 2 -r 3840x2160 -t H264 -f $DataPath/out.h264.53
$RecPath/camera_recording -d 2 -r 1280x720  -t H264 -f $DataPath/out.h264.54
$RecPath/camera_recording -d 2 -r 1920x1080 -t H264 -f $DataPath/out.h264.55
$RecPath/camera_recording -d 3 -r 3840x2160 -t H264 -f $DataPath/out.h264.56
$RecPath/camera_recording -d 3 -r  640x360  -t H264 -f $DataPath/out.h264.57
$RecPath/camera_recording -d 2 -r 1280x720  -t H264 -f $DataPath/out.h264.58
$RecPath/camera_recording -d 3 -r 1920x1080 -t H264 -f $DataPath/out.h264.59
$RecPath/camera_recording -d 9 -r 3840x2160 -t H264 -f $DataPath/out.h264.60

cat $DataPath/out.h264.* > $DataPath/testStream.h264

echo "Finish making a test stream data"
echo "."

#-------------------------------#
# Decode and Play a stream data 
#-------------------------------#

echo "Start Decoding and Playing"
read key

$DecPath/video_decode H264 --input-nalu --copy-timestamp 12345 30 $DataPath/testStream.h264 

